Index

## Namespaces

- rap

## Types

- Composite
- RemoteObject

# Type Composite

Represents RWT Composite widgets

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addListener(type, listener) Register the function as a listener of the given type
| append(childElement) Adds a given HTMLElement to the Composite.
| getClientArea() Returns the client Area of the Composite
| removeListener(type, listener) De-register the function as a listener of the given type

Event Summary
Event Attributes | Event Name and Description
--- | ---
| Resize Sent when widget changes size.

Type Detail
<private> Composite()
This constructor is not available in the global namespace. Instances can only be obtained from rap.getObject.

Since:
  2.0

Method Detail
addListener(type, listener)
Register the function as a listener of the given type

Parameters:
{string} type
  The type of the event (e.g. "Resize").
{Function} listener
  The callback function. It is executed in global context.

append(childElement)
Adds a given HTMLElement to the Composite.

Parameters:
{HTMLElement} childElement
  The element to append.

{int[]} getClientArea()
Returns the client Area of the Composite

Returns:
  {int[]} the client area as array [ x, y, width, height ]

removeListener(type, listener)
De-register the function as a listener of the given type

Parameters:
{string} type
  The type of the event (e.g. "Resize").
{Function} listener
  The callback function

Event Detail
Resize
Sent when widget changes size.

Copyright (c) EclipseSource and others 2013. All rights reserved.